<?php

namespace App\Http\Controllers;

use App\Models\Contact;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\DB;
//use Illuminate\Support\Facades\Request;
use Inertia\Inertia;
use Inertia\Response;

class ContactController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index(): Response
    {
        return Inertia::render('Contacts/Index', [
			'contacts' => Contact::all(),
			// 'contacts' => Contact::all()->paginate(10),
			// 'filters' => Request::all(),
            // 'contacts' => Contact::all()
            //     ->paginate(10),
        ]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $contact = new Contact();
		$contact->CustomerName = request('CustomerName');
		$contact->FirstName = request('FirstName');
		$contact->save();
 
        return redirect(route('contact.edit', \compact('contact')));
    }

    /**
     * Display the specified resource.
     */
    public function show(Contact $contact)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Contact $contact)
    {
        return Inertia('Contacts/Edit', [
			'contact' => [
				'ContactID' => $contact->id,
				// 'CustomerName' => $contact->CustomerName,
				'FirstName' => $contact->FirstName,
				'LastName' => $contact->LastName,
				'BusinessName' => $contact->BusinessName,
				'Title' => $contact->title,
				'AddressLine1' => $contact->AddressLine1,
				'AddressLine2' => $contact->AddressLine2,
				'AddressLine3' => $contact->AddressLine3,
				'City' => $contact->City,
				'StateProvince' => $contact->StateProvince,
				'PostalCode' => $contact->PostalCode,
				'Phone1' => $contact->Phone1,
				'Phone2' => $contact->Phone2,
				'Facebook' => $contact->Facebook,
				'Instagram' => $contact->Instagram,
				'TikTok' => $contact->TikTok,
				'YouTube' => $contact->YouTube,
				'EmailAddress' => $contact->EmailAddress,
				//'Label' => $contact->Label,
				//'Manager' => $contact->Manager,
				// 'CustomerType' => $contact->CustomerType,
				'Notes' => $contact->Notes,
				//'contacts' => $customer->contacts()->orderByName()->get()->map->only('id','FirstName','LastName'),
				//'contacts' => $customer->contacts()->orderByName()->get(),
			]
		]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Contact $contact)
    {
        Log::info('Update contact controller function');
		
        //$this->authorize('update', $contact);
		
		Log::info('Update contact controller function, authorize');
 
        $validated = $request->validate([
			//'CustomerName' => 'required|string|max:255',
			'FirstName' => 'string|nullable',
			'LastName' => 'string|nullable',
			'BusinessName' => 'string|nullable',
			'Title' => 'string|nullable',
			'AddressLine1' => 'string|nullable',
			'AddressLine2' => 'string|nullable',
			'AddressLine3' => 'string|nullable',
			'City' => 'string|nullable',
			'StateProvince' => 'string|nullable',
			'PostalCode' => 'string|nullable',
			'Phone1' => 'string|nullable',
			'Phone2' => 'string|nullable',
			'Facebook' => 'string|nullable',
			'Instagram' => 'string|nullable',
			'TikTok' => 'string|nullable',
			'YouTube' => 'string|nullable',
			'EmailAddress' => 'string|nullable',
			// 'Label' => 'string|nullable',
			// 'Manager' => 'string|nullable',
			// 'CustomerType' => 'string',
			'Notes' => 'string|nullable',
        ]);
 
        $contact->update($validated);
		
		
		return redirect(route('contacts.index'));
        //return redirect(route('contacts.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Contact $contact)
    {
        //
    }
}
