<?php

namespace App\Http\Controllers;

use App\Models\Customer;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Inertia\Inertia;
use Inertia\Response;

class CustomerController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index(): Response
    {
        return Inertia::render('Customers/Index', [
			//'chirps' => Chirp::with('user:id,name')->latest()->get(),
			//'customers' => DB::table('customers')->get()
			//'customers' => Customer->latest()->get(),
			'customers' => Customer::all(),
        ]);
		
		// return Inertia::render('Customers/Index', [
		// 	'customers' => Customer::all()->map(function ($customer) {
		// 		return [
		// 			'id' => $customer->id,
		// 			'FirstName' => $customer->FirstName,
		// 			'EmailAddress' => $customer->EmailAddress,
		// 			'customer' => $customer,
		// 			'edit_url' => route('customers.edit', $customer),
		// 		];
		// 	}),
		// 	//'create_url' => route('customers.create'),
		// ]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request): RedirectResponse
    {
        // $validated = $request->validate([
        //     'CustomerName' => 'required|string|max:255',
        // ]);
 
        //$request->customers()->create($validated);
		
		//error_log(implode(',',$validated));
		//\var_dump($validated);
		
		$customer = new Customer();
		$customer->CustomerName = request('CustomerName');
		$customer->FirstName = request('FirstName');
		$customer->save();
 
        return redirect(route('customers.edit', \compact('customer')));
    }

    /**
     * Display the specified resource.
     */
    public function show(Customer $customer)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Customer $customer)
    {
        // return Inertia::render('Customers/Edit', [
		// 	//'chirps' => Chirp::with('user:id,name')->latest()->get(),
		// 	//'customers' => DB::table('customers')->get()
		// 	//'customers' => Customer->latest()->get(),
		// 	'customers' => Customer::all(),
        // ]);
		
		//$customer = new CustomerResource($customer);
		//return Inertia('Customers/Edit', \compact('customer'));
		return Inertia('Customers/Edit', [
			'customer' => [
				'CustomerId' => $customer->id,
				'CustomerName' => $customer->CustomerName,
				'FirstName' => $customer->FirstName,
				'LastName' => $customer->LastName,
				'BusinessName' => $customer->BusinessName,
				'AddressLine1' => $customer->AddressLine1,
				'AddressLine2' => $customer->AddressLine2,
				'AddressLine3' => $customer->AddressLine3,
				'City' => $customer->City,
				'StateProvince' => $customer->StateProvince,
				'PostalCode' => $customer->PostalCode,
				'Phone1' => $customer->Phone1,
				'Phone2' => $customer->Phone2,
				'Facebook' => $customer->Facebook,
				'Instagram' => $customer->Instagram,
				'TikTok' => $customer->TikTok,
				'YouTube' => $customer->YouTube,
				'EmailAddress' => $customer->EmailAddress,
				'Label' => $customer->Label,
				'Manager' => $customer->Manager,
				'CustomerType' => $customer->CustomerType,
				'Notes' => $customer->Notes,
				//'contacts' => $customer->contacts()->orderByName()->get()->map->only('id','FirstName','LastName'),
				//'contacts' => $customer->contacts()->orderByName()->get(),
				'contacts' => $customer->contacts()->get(),
			]
		]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Customer $customer): RedirectResponse
    {
		Log::info('Update customer controller function');
		
        $this->authorize('update', $customer);
 
        $validated = $request->validate([
			'CustomerName' => 'required|string|max:255',
			'FirstName' => 'string|nullable',
			'LastName' => 'string|nullable',
			'BusinessName' => 'string|nullable',
			'AddressLine1' => 'string|nullable',
			'AddressLine2' => 'string|nullable',
			'AddressLine3' => 'string|nullable',
			'City' => 'string|nullable',
			'StateProvince' => 'string|nullable',
			'PostalCode' => 'string|nullable',
			'Phone1' => 'string|nullable',
			'Phone2' => 'string|nullable',
			'Facebook' => 'string|nullable',
			'Instagram' => 'string|nullable',
			'TikTok' => 'string|nullable',
			'YouTube' => 'string|nullable',
			'EmailAddress' => 'string|nullable',
			'Label' => 'string|nullable',
			'Manager' => 'string|nullable',
			'CustomerType' => 'string',
			'Notes' => 'string|nullable',
        ]);
 
        $customer->update($validated);
		
		
		return redirect(route('customers.index', 1));
        //return redirect(route('customers.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Customer $customer)
    {
        //
    }
}
