<?php

namespace App\Http\Controllers;

use App\Models\Task;
//use Datatables;
use Yajra\DataTables\Facades\DataTables;
use App\DataTables\TasksDataTable;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Inertia\Inertia;
use Inertia\Response;
use Yajra\DataTables\DataTables as DataTablesDataTables;

class TaskController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return Inertia::render('Tasks/Index', [
			//'customers' => Customer::with('user:id,name')->latest()->get(),
			//'customers' => Customer()->latest()->get(),
			'tasks' => Task::all(),
        ]);
    }
	
	// public function index(TasksDataTable $dataTable)
    // {
    //     return $dataTable->render('tasks.index');
    // }
	
	// public function index()
    // {
	// 	return Datatables::of(Task::query())->make(true);
    // }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(Task $task)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Task $task)
    {
        return Inertia('Tasks/Edit', \compact('task'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Task $task)
    {
		$this->authorize('update', $task);
 
        $validated = $request->validate([
			'TaskName' => 'required|string|max:255',
			'Customer' => 'required|string|max:255',
			'DueDate' => 'required|date',
			'StartDate' => 'required|date',
			'Status' => 'required|integer',
			'Notes' => 'string|nullable',
        ]);
 
        $task->update($validated);
 
        return redirect(route('tasks.index'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Task $task)
    {
        //
    }
}
