<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Customer>
 */
class CustomerFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
			'CustomerType' => fake()->numberBetween(0,2),
			'CustomerName' => Fake()->company(),
            'FirstName' => Fake()->firstName(),
            'LastName' => Fake()->lastName(),
            'BusinessName' => Fake()->company(),
			//'Title' => Fake()->jobTitle(),
            'AddressLine1' => Fake()->streetAddress(),
            'AddressLine2' => Fake()->secondaryAddress(),
            'AddressLine3' => "",
            'City' => Fake()->streetAddress(),
            'StateProvince' => Fake()->stateAbbr(),
            'PostalCode' => Fake()->postcode(),
            'Phone1' => Fake()->phoneNumber(),
            'Phone2' => Fake()->phoneNumberWithExtension(),
            'Facebook' => "",
            'Instagram' => "",
            'Twitter' => "",
            'TikTok' => "",
            'YouTube' => "",
            'EmailAddress' => Fake()->safeEmail(),
			'Label' => Fake()->company(),
			'Manager' => Fake()->firstName() & " " & Fake()->lastName(),
			'created_at' => now(),
			'updated_at' => now(),
        ];
    }
}
