<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tasks', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
			$table->foreignId('user_id')
				->nullable()
				->nullOnDelete()
				->cascadeOnUpdate()
				->constrained();
			$table->string('TaskName');
			$table->string('Customer')->nullable();
			$table->timestamp('DueDate')->nullable();
			$table->timestamp('StartDate');
			$table->string('Status');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tasks');
    }
};
