<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('contacts', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
			$table->foreignId('customer_id')
				->nullable()
				->nullOnDelete()
				->cascadeOnUpdate()
				->constrained();
			$table->string('FirstName');
			$table->string('LastName');
			$table->string('BusinessName');
			$table->string('Title');
			$table->string('AddressLine1');
			$table->string('AddressLine2');
			$table->string('AddressLine3');
			$table->string('City');
			$table->string('StateProvince');
			$table->string('PostalCode');
			$table->string('Phone1');
			$table->string('Phone2');
			$table->string('Facebook');
			$table->string('Instagram');
			$table->string('Twitter');
			$table->string('TikTok');
			$table->string('YouTube');
			$table->string('EmailAddress');
			$table->string('ContactType');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('contacts');
    }
};
