import React, { useState } from 'react';
import { useForm, Head, usePage, Link } from '@inertiajs/react';
import PrimaryButton from '@/Components/PrimaryButton';
import SecondaryButton from '@/Components/SecondaryButton';
// import Link from '@inertiajs/react';
 
export default function Contact({ contact }) {
	const { auth } = usePage().props;
 
    const [editing, setEditing] = useState(false);
 
    const { data, setData, patch, clearErrors, processing, reset, errors } = useForm({
        ContactID: contact.id,
		ContactType: contact.ContactType,
		FirstName: contact.FirstName,
		LastName: contact.LastName,
		BusinessName: contact.BusinessName,
		Title: contact.Title,
		CreatedAt: contact.created_at,
    });
 
    const submit = (e) => {
        e.preventDefault();
        patch(route('contacts.update', contact.id), { onSuccess: () => setEditing(false) });
    };

    return (
		<tr
			class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
			{/* <td class="whitespace-nowrap px-6 py-4 font-medium">{contact.id}</td> */}
			<td class="whitespace-nowrap px-6 py-4 font-medium underline"><Link className="mt-4" disabled={processing} href={route('contacts.edit', contact.id)}>{contact.id}</Link></td>
			{/* <td class="whitespace-nowrap px-6 py-4">{contact.ContactType}</td> */}
			<td class="whitespace-nowrap px-6 py-4">{contact.FirstName}</td>
			<td class="whitespace-nowrap px-6 py-4">{contact.LastName}</td>
			<td class="whitespace-nowrap px-6 py-4">{contact.BusinessName}</td>
			<td class="whitespace-nowrap px-6 py-4">{contact.Title}</td>
			<td class="whitespace-nowrap px-6 py-4">{contact.EmailAddress}</td>
			<td class="whitespace-nowrap px-6 py-4">{contact.Phone1}</td>
			<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href={route('contacts.edit', contact.id)}>Edit</Link></td>
			{/* <td class="whitespace-nowrap px-6 py-4"><PrimaryButton className="mt-4" disabled={processing} href={route('contacts.edit', contact)}>Edit</PrimaryButton><SecondaryButton className="mt-4" disabled={processing}>Other</SecondaryButton></td> */}
		</tr>
		
		
		
		
		// <th scope="col" class="px-6 py-4">Contact Type</th>
		// 						<th scope="col" class="px-6 py-4">First Name</th>
		// 						<th scope="col" class="px-6 py-4">Last Name</th>
		// 						<th scope="col" class="px-6 py-4">Title</th>
		// 						<th scope="col" class="px-6 py-4">Phone 1</th>
		// 						<th scope="col" class="px-6 py-4">Email</th>
    );
}