import React, { useState } from 'react';
import Dropdown from '@/Components/Dropdown';
import { useForm, Head, usePage, Link } from '@inertiajs/react';
 
export default function Task({ task }) {
	const { auth } = usePage().props;
 
    const [editing, setEditing] = useState(false);
 
	const { data, setData, patch, clearErrors, processing, reset, errors } = useForm({
		TaskID: task.id,
		TaskName: task.TaskName,
		CustomerName: task.Customer,
		DueDate: task.DueDate,
		StartDate: task.StartDate,
		AssignedTo: task.user_id,
		// EstimatedTime: task.EstimatedTime,
		TaskStatus: task.Status,
    });
 
    const submit = (e) => {
        e.preventDefault();
        patch(route('tasks.update', customer.id), { onSuccess: () => setEditing(false) });
    };
	
	function statusString(value){
		if (value == 0) {
			return "Not Started";
		}else if (value == 1) {
			return "In Progress";
		}else if (value == 2) {
			return "Completed";
		}else if (value == 3) {
			return "Delayed";
		}
		return value;
	}
	
    return (
		<tr
			class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
			<td class="whitespace-nowrap px-6 py-4 font-medium">{task.id}</td>
			<td class="whitespace-nowrap px-6 py-4">{task.Customer}</td>
			<td class="whitespace-nowrap px-6 py-4">{task.TaskName}</td>
			<td class="whitespace-nowrap px-6 py-4">{task.user_id}</td>
			<td class="whitespace-nowrap px-6 py-4">{statusString(task.Status)}</td>
			<td class="whitespace-nowrap px-6 py-4">{new Date(task.StartDate).toLocaleString()}</td>
			<td class="whitespace-nowrap px-6 py-4">{new Date(task.DueDate).toLocaleString()}</td>
			<td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
			<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href={route('tasks.edit', task.id)}>Edit</Link></td>
			{/* <Dropdown>
                            <Dropdown.Trigger>
                                <button>
                                    <svg xmlns="http://www.w3.org/2000/svg" className="h-4 w-4 text-gray-400" viewBox="0 0 20 20" fill="currentColor">
                                        <path d="M6 10a2 2 0 11-4 0 2 2 0 014 0zM12 10a2 2 0 11-4 0 2 2 0 014 0zM16 12a2 2 0 100-4 2 2 0 000 4z" />
                                    </svg>
                                </button>
                            </Dropdown.Trigger>
                            <Dropdown.Content>
                                <button className="block w-full px-4 py-2 text-left text-sm leading-5 text-gray-700 hover:bg-gray-100 focus:bg-gray-100 transition duration-150 ease-in-out" onClick={() => setEditing(true)}>
                                    Edit
                                </button>
                                {/* <Dropdown.Link as="button" href={route('chirps.destroy', chirp.id)} method="delete">
                                    Delete
                                </Dropdown.Link> */}
                            {/* </Dropdown.Content>
                        </Dropdown> */}
			{/* <td class="whitespace-nowrap px-6 py-4">{task.EstimatedTime}</td> */}
		</tr>
		
		
		
        // <div className="p-6 flex space-x-2">
        //     <svg xmlns="http://www.w3.org/2000/svg" className="h-6 w-6 text-gray-600 -scale-x-100" fill="none" viewBox="0 0 24 24" stroke="currentColor" strokeWidth="2">
        //         <path strokeLinecap="round" strokeLinejoin="round" d="M8 12h.01M12 12h.01M16 12h.01M21 12c0 4.418-4.03 8-9 8a9.863 9.863 0 01-4.255-.949L3 20l1.395-3.72C3.512 15.042 3 13.574 3 12c0-4.418 4.03-8 9-8s9 3.582 9 8z" />
        //     </svg>
        //     <div className="flex-1">
        //         <div className="flex justify-between items-center">
        //             <div>
        //                 <span className="text-gray-800">{task.TaskName}</span>
        //                 <small className="ml-2 text-sm text-gray-600">{new Date(task.created_at).toLocaleString()}</small>
        //             </div>
        //         </div>
        //         <p className="mt-4 text-lg text-gray-900">{test.TaskName}</p>
        //     </div>
        // </div>
    );
}