import React from 'react';
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout';
import InputError from '@/Components/InputError';
import Contact from '@/Components/Contact';
import PrimaryButton from '@/Components/PrimaryButton';
import { useForm, Head, usePage } from '@inertiajs/react';
 
export default function Index({ auth }) {
	
	//const contacts = usePage().props.contacts;
	
    const { data, setData, post, get, processing, reset, errors } = useForm({
       // ContactName: '',
    });
 
    const submit = (e) => {
        e.preventDefault();
        post(route('contacts.store'), { onSuccess: () => reset() });
    };
	
	const contacts = get(route('contactlist.index'));
 
    return (
		<div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
			<div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
				<div class="overflow-hidden">
					<table class="min-w-full text-left text-sm font-light">
						<thead class="border-b font-medium dark:border-neutral-500">
							<tr>
								<th scope="col" class="px-6 py-4">#</th>
								{/* <th scope="col" class="px-6 py-4">Contact Type</th> */}
								<th scope="col" class="px-6 py-4">First Name</th>
								<th scope="col" class="px-6 py-4">Last Name</th>
								<th scope="col" class="px-6 py-4">Title</th>
								<th scope="col" class="px-6 py-4">Phone 1</th>
								<th scope="col" class="px-6 py-4">Email</th>
								<th scope="col" class="px-6 py-4"></th>
							</tr>
						</thead>
						<tbody>
							{contacts.map(contact =>
								<Contact key={contact.id} contact={contact} />
							)}
						</tbody>
					</table>
				</div>
			</div>
		</div>
		
    );
}