import React from 'react';
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout';
import Customer from '@/Components/Customer';
import Task from '@/Components/Task';
import InputError from '@/Components/InputError';
import PrimaryButton from '@/Components/PrimaryButton';
import { useForm, Head } from '@inertiajs/react';
 
export default function Index({ auth, tasks }) {
    const { data, setData, post, processing, reset, errors } = useForm({
        CustomerName: '',
    });
 
    const submit = (e) => {
        e.preventDefault();
        post(route('customers.store'), { onSuccess: () => reset() });
    };
 
    return (
        <AuthenticatedLayout auth={auth}>
            <Head title="Customers" />
 
            <div className="max-w-1xl mx-auto p-4 sm:p-6 lg:p-8">
				
                <form onSubmit={submit}>
					{/* <textarea
                        value={data.CustomerName}
                        className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
                        onChange={e => setData('CustomerName', e.target.value)}
                    ></textarea>
					<textarea
						value={data.FirstName}
						// placeholder="What's on your mind?"
                        className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
                        onChange={e => setData('FirstName', e.target.value)}
					></textarea> */}
                    {/* <InputError CustomerName={errors.CustomerName} className="mt-2" /> */}
                    <PrimaryButton className="mt-4" disabled={processing}>Save</PrimaryButton>
                </form>
				
				{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y">
                    {customers.map(customer =>
                        <Customer key={customer.id} customer={customer} />
                    )}
                </div> */}
				
				{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y"> */}
					
				<div class="overflow-x-auto sm:-mx-6 lg:-mx-8 py-8">
					<div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
						<div class="overflow-hidden">
							<table class="min-w-full text-left text-sm font-light">
								<thead class="border-b font-medium dark:border-neutral-500">
									<tr>
										<th scope="col" class="px-6 py-4">#</th>
										<th scope="col" class="px-6 py-4">Customer Type</th>
										<th scope="col" class="px-6 py-4">Customer Name</th>
										<th scope="col" class="px-6 py-4">Manager</th>
										<th scope="col" class="px-6 py-4">Phone</th>
										<th scope="col" class="px-6 py-4">Email</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td scope="col" class="px-6 py-4">#</td>
										<td scope="col" class="px-6 py-4">Band</td>
										<td scope="col" class="px-6 py-4">Alice Cooper</td>
										<td scope="col" class="px-6 py-4">Tom</td>
										<td scope="col" class="px-6 py-4">555-1212</td>
										<td scope="col" class="px-6 py-4">email@email.com</td>
									</tr>
									{/* {customers.map(customer =>
										<Customer key={customer.id} customer={customer} />
									)} */}
								</tbody>
							</table>
						</div>
					</div>
				</div>
				
{/* 				
				<div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
					<div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
						<div class="overflow-hidden">
							<table class="min-w-full text-left text-sm font-light">
								<thead class="border-b font-medium dark:border-neutral-500">
									<tr>
									<th scope="col" class="px-6 py-4">#</th>
										<th scope="col" class="px-6 py-4">Customer</th>
										<th scope="col" class="px-6 py-4">Task</th>
										<th scope="col" class="px-6 py-4">Assigned To</th>
										<th scope="col" class="px-6 py-4">Status</th>
										<th scope="col" class="px-6 py-4">Start Date</th>
										<th scope="col" class="px-6 py-4">Due Date</th>
										<th scope="col" class="px-6 py-4">Estimated Time</th>
									</tr>
								</thead>
								<tbody>
									{tasks.map(task =>
										<Task key={task.id} task={task} />
									)}
								</tbody>
							</table>
						</div>
					</div>
				</div> */}			
				
				<h3 class="pt6">Tasks</h3>	
				<table class="min-w-full text-left text-sm font-light py-8">
    <thead class="border-b font-medium dark:border-neutral-500">
        <tr>
            <th scope="col" class="px-6 py-4">#</th>
            <th scope="col" class="px-6 py-4">Task</th>
            <th scope="col" class="px-6 py-4">Assigned To</th>
            <th scope="col" class="px-6 py-4">Status</th>
            <th scope="col" class="px-6 py-4">Start Date</th>
            <th scope="col" class="px-6 py-4">Due Date</th>
            <th scope="col" class="px-6 py-4">Estimated Time</th>
        </tr>
    </thead>
    <tbody>
        <tr class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
            <td class="whitespace-nowrap px-6 py-4 font-medium">1</td>
            <td class="whitespace-nowrap px-6 py-4">veniam voluptas laudantium</td>
            <td class="whitespace-nowrap px-6 py-4">Jon</td>
            <td class="whitespace-nowrap px-6 py-4">Not Started</td>
            <td class="whitespace-nowrap px-6 py-4">2/12/2023, 6:27:45 PM</td>
            <td class="whitespace-nowrap px-6 py-4">2/19/2023, 4:33:55 AM</td>
            <td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
        </tr>
        <tr class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
            <td class="whitespace-nowrap px-6 py-4 font-medium">2</td>
            <td class="whitespace-nowrap px-6 py-4">quaerat placeat dolore</td>
            <td class="whitespace-nowrap px-6 py-4">Jon</td>
            <td class="whitespace-nowrap px-6 py-4">In Progress</td>
            <td class="whitespace-nowrap px-6 py-4">1/12/2023, 5:49:22 PM</td>
            <td class="whitespace-nowrap px-6 py-4">5/27/2023, 6:56:35 PM</td>
            <td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
        </tr>
        <tr class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
            <td class="whitespace-nowrap px-6 py-4 font-medium">3</td>
            <td class="whitespace-nowrap px-6 py-4">est et eum</td>
            <td class="whitespace-nowrap px-6 py-4">Heather</td>
            <td class="whitespace-nowrap px-6 py-4">Completed</td>
            <td class="whitespace-nowrap px-6 py-4">2/20/2023, 4:37:18 PM</td>
            <td class="whitespace-nowrap px-6 py-4">4/28/2023, 9:34:03 AM</td>
            <td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
        </tr>
        <tr class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
            <td class="whitespace-nowrap px-6 py-4 font-medium">4</td>
            <td class="whitespace-nowrap px-6 py-4">veniam nesciunt ad</td>
            <td class="whitespace-nowrap px-6 py-4">David</td>
            <td class="whitespace-nowrap px-6 py-4">Not Started</td>
            <td class="whitespace-nowrap px-6 py-4">1/2/2023, 4:50:29 AM</td>
            <td class="whitespace-nowrap px-6 py-4">1/6/2023, 1:52:44 AM</td>
            <td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
        </tr>
    </tbody>
</table>                


<h3 class="pt6">Band Members</h3>	
<table class="min-w-full text-left text-sm font-light">
    <thead class="border-b font-medium dark:border-neutral-500">
        <tr>
            <th scope="col" class="px-6 py-4">Name</th>
            <th scope="col" class="px-6 py-4">Instrument</th>
        </tr>
    </thead>
    <tbody>
        <tr class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
            <td class="whitespace-nowrap px-6 py-4">John Smith</td>
            <td class="whitespace-nowrap px-6 py-4">Vocals</td>
        </tr>
		<tr class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
            <td class="whitespace-nowrap px-6 py-4">Johnny</td>
            <td class="whitespace-nowrap px-6 py-4">Guitar</td>
        </tr>
		<tr class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
            <td class="whitespace-nowrap px-6 py-4">Steve</td>
            <td class="whitespace-nowrap px-6 py-4">Drums</td>
        </tr>
    </tbody>
</table> 
{/* </div> */}
            </div>
        </AuthenticatedLayout>
    );
}