import React from 'react';
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout';
import Customer from '@/Components/Customer';
import InputError from '@/Components/InputError';
import PrimaryButton from '@/Components/PrimaryButton';
import { useForm, Head } from '@inertiajs/react';
 
export default function Index({ auth, customers }) {
    const { data, setData, post, processing, reset, errors } = useForm({
        CustomerName: '',
    });
 
    const submit = (e) => {
        e.preventDefault();
        post(route('customers.store'), { onSuccess: () => reset() });
    };
 
    return (
        <AuthenticatedLayout auth={auth}>
            <Head title="Customers" />
 
            <div className="max-w-1xl mx-auto p-4 sm:p-6 lg:p-8">
                <form onSubmit={submit}>
					{/* <textarea
                        value={data.CustomerName}
                        className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
                        onChange={e => setData('CustomerName', e.target.value)}
                    ></textarea>
					<textarea
						value={data.FirstName}
						// placeholder="What's on your mind?"
                        className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
                        onChange={e => setData('FirstName', e.target.value)}
					></textarea> */}
                    {/* <InputError CustomerName={errors.CustomerName} className="mt-2" /> */}
                    {/* <PrimaryButton className="mt-4" disabled={processing}>Save</PrimaryButton> */}
                </form>
				
				{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y">
                    {customers.map(customer =>
                        <Customer key={customer.id} customer={customer} />
                    )}
                </div> */}
				
				{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y"> */}
					
				<div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
					<div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
						<div class="overflow-hidden">
							<table class="min-w-full text-left text-sm font-light">
								<thead class="border-b font-medium dark:border-neutral-500">
									<tr>
										<th scope="col" class="px-6 py-4">#</th>
										<th scope="col" class="px-6 py-4">Customer Type</th>
										<th scope="col" class="px-6 py-4">Customer Name</th>
										<th scope="col" class="px-6 py-4">First Name</th>
										<th scope="col" class="px-6 py-4">Last Name</th>
										<th scope="col" class="px-6 py-4">Created At</th>
										<th scope="col" class="px-6 py-4"></th>
									</tr>
								</thead>
								<tbody>
									{customers.map(customer =>
										<Customer key={customer.id} customer={customer} />
									)}
								</tbody>
							</table>
						</div>
					</div>
				</div>
                {/* </div> */}
            </div>
        </AuthenticatedLayout>
    );
}