import React from 'react';
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout';
import Task from '@/Components/Task';
import InputError from '@/Components/InputError';
import PrimaryButton from '@/Components/PrimaryButton';
import { useForm, Head, Link } from '@inertiajs/react';
 
export default function Index({ auth, tasks }) {
    const { data, setData, post, processing, reset, errors } = useForm({
        TaskName: '',
    });
 
    const submit = (e) => {
        e.preventDefault();
        post(route('tasks.store'), { onSuccess: () => reset() });
    };
 
    return (
        <AuthenticatedLayout auth={auth}>
            <Head title="Tasks" />
 
            <div className="max-w-1xl mx-auto p-4 sm:p-6 lg:p-8">
                {/* <form onSubmit={submit}>
					<label htmlFor="CustomerName">Customer Name:</label>
					<input
						id='CustomerName'
						placeholder='Customer Name'
                        value={data.TaskName}
                        className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
                        onChange={e => setData('TaskName', e.target.value)}
                    ></input>
					<br></br>
					<label htmlFor="Task">Task:</label>
					<input
						id='Task'
						placeholder='Task'
						className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
					></input>
					<br></br>
					<label htmlFor="AssignedTo">Assigned To:</label>
					<input
						id='AssignedTo'
						placeholder='Assigned To'
						className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
					></input>
					<br></br>
					<label htmlFor="Status">Status:</label>
					<select
						id='Status'
						placeholder='Status'
						className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
					>
						<option>Not Started</option>
						<option>In Progress</option>
						<option>Completed</option>
					</select><br></br>
					<label htmlFor="DueDate">Due Date</label>
					<input
						id='DueDate'
						placeholder='Due Date'
						className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
					></input>
                    <InputError TaskName={errors.TaskName} className="mt-2" />
                    <PrimaryButton className="mt-4" disabled={processing}>Save Task</PrimaryButton>
                </form> */}
				

				{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y">
                    {tasks.map(tasks =>
                        <Tasks key={Tasks.id} tasks={tasks} />
                    )}
                </div> */}
				
				<div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
					<div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
						<div class="overflow-hidden">
							<table class="min-w-full text-left text-sm font-light">
								<thead class="border-b font-medium dark:border-neutral-500">
									<tr>
									<th scope="col" class="px-6 py-4">#</th>
										<th scope="col" class="px-6 py-4">Customer</th>
										<th scope="col" class="px-6 py-4">Task</th>
										<th scope="col" class="px-6 py-4">Assigned To</th>
										<th scope="col" class="px-6 py-4">Status</th>
										<th scope="col" class="px-6 py-4">Start Date</th>
										<th scope="col" class="px-6 py-4">Due Date</th>
										<th scope="col" class="px-6 py-4">Estimated Time</th>
									</tr>
								</thead>
								<tbody>
									<tr
										class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
										<td class="whitespace-nowrap px-6 py-4 font-medium">1</td>
										<td class="whitespace-nowrap px-6 py-4">explicabo quas minima</td>
										<td class="whitespace-nowrap px-6 py-4">veniam voluptas laudantium</td>
										<td class="whitespace-nowrap px-6 py-4">Jon</td>
										<td class="whitespace-nowrap px-6 py-4">Not Started</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
										<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href="">Edit</Link></td>
									</tr>
									<tr
										class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
										<td class="whitespace-nowrap px-6 py-4 font-medium">1</td>
										<td class="whitespace-nowrap px-6 py-4">expedita velit quis</td>
										<td class="whitespace-nowrap px-6 py-4">veniam voluptas laudantium</td>
										<td class="whitespace-nowrap px-6 py-4">Jon</td>
										<td class="whitespace-nowrap px-6 py-4">Not Started</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
										<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href="">Edit</Link></td>
									</tr>
									<tr
										class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
										<td class="whitespace-nowrap px-6 py-4 font-medium">1</td>
										<td class="whitespace-nowrap px-6 py-4">expedita velit quis</td>
										<td class="whitespace-nowrap px-6 py-4">veniam voluptas laudantium</td>
										<td class="whitespace-nowrap px-6 py-4">Jon</td>
										<td class="whitespace-nowrap px-6 py-4">Not Started</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
										<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href="">Edit</Link></td>
									</tr>
									<tr
										class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
										<td class="whitespace-nowrap px-6 py-4 font-medium">1</td>
										<td class="whitespace-nowrap px-6 py-4">explicabo quas minima</td>
										<td class="whitespace-nowrap px-6 py-4">veniam voluptas laudantium</td>
										<td class="whitespace-nowrap px-6 py-4">David</td>
										<td class="whitespace-nowrap px-6 py-4">Not Started</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
										<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href="">Edit</Link></td>
									</tr>
									<tr
										class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
										<td class="whitespace-nowrap px-6 py-4 font-medium">1</td>
										<td class="whitespace-nowrap px-6 py-4">explicabo quas minima</td>
										<td class="whitespace-nowrap px-6 py-4">veniam voluptas laudantium</td>
										<td class="whitespace-nowrap px-6 py-4">David</td>
										<td class="whitespace-nowrap px-6 py-4">Not Started</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">4/7/2023</td>
										<td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
										<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href="">Edit</Link></td>
									</tr>
									<tr
										class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
										<td class="whitespace-nowrap px-6 py-4 font-medium">1</td>
										<td class="whitespace-nowrap px-6 py-4">explicabo quas minima</td>
										<td class="whitespace-nowrap px-6 py-4">veniam voluptas laudantium</td>
										<td class="whitespace-nowrap px-6 py-4">Heather</td>
										<td class="whitespace-nowrap px-6 py-4">Not Started</td>
										<td class="whitespace-nowrap px-6 py-4">4/8/2023</td>
										<td class="whitespace-nowrap px-6 py-4">4/8/2023</td>
										<td class="whitespace-nowrap px-6 py-4">10 Minutes</td>
										<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href="">Edit</Link></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
            </div>
        </AuthenticatedLayout>
    );
}